Package: org.grails.plugins.web.rest.render

## [Groovy] Class DefaultRendererRegistry.ContainerRendererCacheKey

- org.grails.plugins.web.rest.render.DefaultRendererRegistry.ContainerRendererCacheKey

-     @groovy.transform.Canonical
      class DefaultRendererRegistry.ContainerRendererCacheKey
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Class` | `clazz` |
    `private java.lang.Class` | `containerType` |
    `private MimeType` | `mimeType` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Class` | `clazz`
    `java.lang.Class` | `containerType`
    `MimeType` | `mimeType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultRendererRegistry.ContainerRendererCacheKey ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.Class clazz

    - #### private java.lang.Class containerType

    - #### private MimeType mimeType

  - ### Property Detail

    - #### java.lang.Class clazz

    - #### java.lang.Class containerType

    - #### MimeType mimeType

  - ### Constructor Detail

    - #### DefaultRendererRegistry.ContainerRendererCacheKey()